=== debian/control ===
Source: ntp
Section: net
Priority: optional
Maintainer: Debian NTP Team <ntp@packages.debian.org>
Uploaders: Kurt Roeckx <kurt@roeckx.be>,
           Bernhard Schmidt <berni@debian.org>
Build-Depends: autogen,
               debhelper (>= 10),
               dh-apparmor,
               libcap2-dev [linux-any],
               libedit-dev,
               libevent-dev,
               libopts25-dev,
               libssl-dev,
               pkg-config,
               pps-tools [linux-any]
Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
Standards-Version: 4.1.3.0
Rules-Requires-Root: no
Homepage: http://support.ntp.org/
Vcs-Browser: https://salsa.debian.org/pkg-ntp-team/ntp
Vcs-Git: https://salsa.debian.org/pkg-ntp-team/ntp.git

Package: ntp
Architecture: any
Depends: adduser,
         lsb-base (>= 3.2-13),
         netbase,
         tzdata,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sntp, ${perl:Depends}
Suggests: ntp-doc
Breaks: apparmor-profiles-extra (<< 1.8)
Replaces: apparmor-profiles-extra (<< 1.8)
Description: Network Time Protocol daemon and utility programs
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 This package contains the NTP daemon and utility programs.  An NTP
 daemon needs to be running on each host that is to have its clock
 accuracy controlled by NTP.  The same NTP daemon is also used to
 provide NTP service to other hosts.
 .
 For more information about the NTP protocol and NTP server
 configuration and operation, install the package "ntp-doc".

Package: ntpdate
Architecture: any
Depends: netbase, ${misc:Depends}, ${shlibs:Depends}
Description: client for setting system time from NTP servers (deprecated)
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 ntpdate is deprecated. Please use sntp instead for manual or scripted
 NTP queries/syncs.

Package: ntp-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Multi-Arch: foreign
Description: Network Time Protocol documentation
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 This package contains HTML documentation for the ntp packages (ntp,
 ntpdate).  Since there are no substantive man pages for ntp's
 programs and configuration files, this package is desirable for any
 setup beyond the simple default configuration.

Package: sntp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ntp (<<1:4.2.8p10+dfsg-3+exp3)
Replaces: ntp (<<1:4.2.8p10+dfsg-3+exp3)
Description: Network Time Protocol - sntp client
 NTP, the Network Time Protocol, is used to keep computer clocks
 accurate by synchronizing them over the Internet or a local network,
 or by following an accurate hardware receiver that interprets GPS,
 DCF-77, NIST or similar time signals.
 .
 sntp can be used as an SNTP client to query a NTP or SNTP server and
 either display the time or set the local system's time. It is not
 sufficient, however, for maintaining an accurate clock in the long run.
