## ntp 4.2.8p12+dfsg-4+cl4.3.1u4

=== debian/changelog ===
ntp (1:4.2.8p12+dfsg-4+cl4.3.1u4) RELEASED; urgency=medium

  * new build for 4.3.1 from original hash
    f17772da9f6341eed12cdd5f91ed165cebba6170

 -- root <root@7490f848894d>  Wed, 15 Jun 2022 00:55:38 +0000

ntp (1:4.2.8p12+dfsg-4+cl4.3.0u1) released; urgency=medium

  * Version 4.2.8p12+dfsg-4+cl4.3.0u1 for CL 4.3.0.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 09 Dec 2020 13:25:45 -0800

ntp (1:4.2.8p12+dfsg-4+cl4.2.1+u3) unstable; urgency=medium

  * CM-30206: Do not install /etc/dhcp/dhclient-exit-hooks.d/{ntp,ntpdate}.

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 04 Dec 2020 10:47:11 -0800

ntp (1:4.2.8p12+dfsg-4+cl4.2.1+u2) unstable; urgency=medium

  * ntp.service and ntp@.service for systemd set PIDFile=/run/ntpd.pid

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 06 Oct 2020 16:21:00 -0700

ntp (1:4.2.8p12+dfsg-4+cl4.2.1+u1) unstable; urgency=medium

  * ntp.service and ntp@.service for systemd set PIDFile=/var/run/ntpd.pid

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 02 Oct 2020 18:15:00 -0700

ntp (1:4.2.8p12+dfsg-4+cl4u13) released; urgency=medium

  * Apply patches for CVE-2020-11868 (NTP bug 3592) from revisions
    1.3873.1.2 and 1.3873.1.3 at bk.ntp.org.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 21 May 2020 10:00:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u12) unstable; urgency=medium

  * Create /usr/lib/systemd/system-preset/91-systemd.no.ntp.preset
    with "disable ntp.service" on "postinst configure" and remove
    that file on "prerm remove".

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 06 Apr 2020 19:58:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u11) unstable; urgency=medium

  * More changes to start only ntp@mgmt and not ntp:
  * Add --no-start to dh_installinit in rules.
  * Use generated debhelper from this Debian 10 source instead
    of copied from Debian 9 version for ntp.postinst.

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 06 Apr 2020 17:16:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u10) unstable; urgency=medium

  * Have ntp.service be the same as ntp@.service (not a no-op).

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 06 Apr 2020 13:36:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u9) unstable; urgency=medium

  * In ntp.conf, use "server" instead of "pool" to match older versions.

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 24 Feb 2020 17:57:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u8) unstable; urgency=medium

  * Forgot to make ntp.service have ExecStart be a no-op in last change.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 18:34:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u7) unstable; urgency=medium

  * Add ntp.service with ExecStart as a no-op in addition to ntp@.service .

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 17:25:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u6) unstable; urgency=medium

  * The following changes are made to have ntp run only as an
    instantiated service (ntp@mgmt) by systemd.
  * Rename ntp.service to ntp@.service .
  * Change debian/rules to install ntp@.service instead of ntp.service .

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 15:37:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u5) unstable; urgency=medium

  * Revert previous change since it causes vrf.conf to treat ntp as
    a no-op.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 14:05:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u4) unstable; urgency=medium

  * In debian/ntp.service (to be installed as
    /lib/systemd/system/ntp.service ), make the ExecStart a no-op
    so that it will not conflict with ntp@mgmt.service started by
    vrf.conf .

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 12:45:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u3) unstable; urgency=medium

  * In debian/rules, change binary-arch so that dh_systemd_enable and
    dh_systemd_start disable ntp.service to avoid conflict with
    ntp@mgmt.service.

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 20 Feb 2020 10:20:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u2) unstable; urgency=medium

  * Run ntp as ntp@mgmt.service instead of ntp.service by default to
    accommodate mgmt vrf being enabled by default.  Changes are in
    ntp.postinst, ntp.postrm, ntp.prerm after the DEBHELPER keyword.

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 19 Feb 2020 13:48:00 -0800

ntp (1:4.2.8p12+dfsg-4+cl4u1) unstable; urgency=medium

  * netlink-sock-buffer-size.patch: Set netlink sock buffer size to 16Mbytes.
  * ntp.conf.patch: Use *.cumulusnetworks.pool.ntp.org and listen only on
    eth0.
  * ntp.service.patch: Wait until network is online before starting ntp.

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 14 Feb 2020 12:53:00 -0800
