=== debian/control ===
--- 
+++ 
@@ -16,10 +16,12 @@
                pps-tools [linux-any]
 Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
 Standards-Version: 4.1.3.0
-Rules-Requires-Root: no
 Homepage: http://support.ntp.org/
 Vcs-Browser: https://salsa.debian.org/pkg-ntp-team/ntp
 Vcs-Git: https://salsa.debian.org/pkg-ntp-team/ntp.git
+XS-Build-Source: True
+XS-Cumulus-Valid-Arch: amd64 armel
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntp
 Architecture: any
@@ -46,6 +48,7 @@
  .
  For more information about the NTP protocol and NTP server
  configuration and operation, install the package "ntp-doc".
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntpdate
 Architecture: any
@@ -58,6 +61,7 @@
  .
  ntpdate is deprecated. Please use sntp instead for manual or scripted
  NTP queries/syncs.
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntp-doc
 Architecture: all
@@ -74,6 +78,7 @@
  ntpdate).  Since there are no substantive man pages for ntp's
  programs and configuration files, this package is desirable for any
  setup beyond the simple default configuration.
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: sntp
 Architecture: any
@@ -89,3 +94,5 @@
  sntp can be used as an SNTP client to query a NTP or SNTP server and
  either display the time or set the local system's time. It is not
  sufficient, however, for maintaining an accurate clock in the long run.
+XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
+
