=== debian/rules ===
--- 
+++ 
@@ -39,9 +39,9 @@
 
 override_dh_install:
 	install -D -m 0755 scripts/ntpsweep/ntpsweep debian/ntp/usr/bin/ntpsweep
-	install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
+	#install -D -m 0644 debian/ntp.dhcp debian/ntp/etc/dhcp/dhclient-exit-hooks.d/ntp
 	install -D -m 0755 debian/ntp.networkmanager debian/ntp/etc/NetworkManager/dispatcher.d/ntp
-	install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
+	#install -D -m 0644 debian/ntpdate.dhcp debian/ntpdate/etc/dhcp/dhclient-exit-hooks.d/ntpdate
 	install -D -m 0755 debian/ntpdate-debian debian/ntpdate/usr/sbin/ntpdate-debian
 
 	install -D -m 0644 debian/ntp.conf debian/ntp/etc/ntp.conf
@@ -63,8 +63,8 @@
 	rm -f debian/ntp-doc/usr/share/doc/ntp-doc/html/hints/solaris*
 
 override_dh_installinit:
-	dh_installinit -pntp --error-handler=installinit_error --no-restart-after-upgrade
-	dh_installinit -pntpdate --no-restart-after-upgrade
+	dh_installinit -pntp --error-handler=installinit_error --no-restart-after-upgrade --no-start
+	dh_installinit -pntpdate --no-restart-after-upgrade --no-start
 	dh_apparmor --profile-name=usr.sbin.ntpd -pntp
 
 override_dh_auto_test:
@@ -74,3 +74,68 @@
 else
 	dh_auto_test || echo "Ignoring testsuite error"
 endif
+
+# Copied from "dh binary-arch --no-act".
+# dh_systemd_enable and dh_systemd_start changed because
+# ntp is run under ntp@mgmt.service instead of ntp.service.
+# create-stamp removed because it is not present.
+binary-arch: build install
+	dh_testdir -a
+	dh_update_autotools_config -a
+	dh_autoreconf -a
+	debian/rules override_dh_auto_configure
+	dh_auto_build -a
+	debian/rules override_dh_auto_test
+	#create-stamp debian/debhelper-build-stamp
+	dh_testroot -a
+	dh_prep -a
+	dh_installdirs -a
+	dh_auto_install -a
+	debian/rules override_dh_install
+	dh_installdocs -a
+	dh_installchangelogs -a
+	dh_installexamples -a
+	dh_installman -a
+	dh_installcatalogs -a
+	dh_installcron -a
+	dh_installdebconf -a
+	dh_installemacsen -a
+	dh_installifupdown -a
+	dh_installinfo -a
+	#dh_systemd_enable -a
+	dh_systemd_enable --no-enable --name=ntp ntp.service
+	dh_systemd_enable --no-enable --name=ntp@ ntp@.service
+	#dh_systemd_start -a
+	dh_systemd_start --no-start --name=ntp ntp.service
+	dh_systemd_start --no-start --name=ntp@ ntp@.service
+	debian/rules override_dh_installinit
+	dh_installmenu -a
+	dh_installmime -a
+	dh_installmodules -a
+	dh_installlogcheck -a
+	dh_installlogrotate -a
+	dh_installpam -a
+	dh_installppp -a
+	dh_installudev -a
+	dh_installgsettings -a
+	dh_bugfiles -a
+	dh_ucf -a
+	dh_lintian -a
+	dh_gconf -a
+	dh_icons -a
+	dh_perl -a
+	dh_usrlocal -a
+	dh_link -a
+	dh_installwm -a
+	dh_installxfonts -a
+	dh_strip_nondeterminism -a
+	dh_compress -a
+	dh_fixperms -a
+	dh_missing -a
+	dh_strip -a
+	dh_makeshlibs -a
+	dh_shlibdeps -a
+	dh_installdeb -a
+	dh_gencontrol -a
+	dh_md5sums -a
+	dh_builddeb -a
