## ntp 4.2.8p13+dfsg

=== debian/changelog ===
ntp (1:4.2.8p13+dfsg-2) unstable; urgency=medium

  * Upload new upstream version to unstable
  * AppArmor: fix path to Samba NTP signing socket (Closes: #928168)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 08 Jul 2019 00:22:04 +0200

ntp (1:4.2.8p13+dfsg-1) experimental; urgency=medium

   * New upstream version 4.2.8p13+dfsg
     - CVE-2019-8936: Crafted null dereference attack in authenticated
       mode 6 packet (Closes: #924228)
   * ntp: exit 0 from init script if daemon does not exist (Closes: #764546)
   * Drop locking from ntp initscript/systemd-wrapper
   * Only delete ntpd statistics files in cronjob (Closes: #772790)

 -- Bernhard Schmidt <berni@debian.org>  Thu, 21 Mar 2019 23:31:10 +0100
