## ntp 4.2.8p15%2Bdfsg

=== debian/changelog ===
ntp (1:4.2.8p15+dfsg-1.0antix1) unstable; urgency=medium

  * add runit sevice
  * edit post/pre scripts for runit and sysVinit 

 -- anticapitalista <antix@operamail.com>  Tue, 07 Dec 2021 20:52:03 +0200

ntp (1:4.2.8p15+dfsg-1) unstable; urgency=medium

  * Reapply DFSG-cleanup.

 -- Bernhard Schmidt <berni@debian.org>  Wed, 23 Sep 2020 13:46:38 +0200

ntp (1:4.2.8p15-1) unstable; urgency=medium

  * New upstream version 4.2.8p15
  * Build with -fcommon to fix FTBFS with GCC-10 (Closes: #957615)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 21 Sep 2020 23:07:42 +0200

ntp (1:4.2.8p14+dfsg-2) unstable; urgency=medium

  * Make test-suite non-fatal on ia64 ppc64 ppc64el where it still fails
    - Also on m68k where we don't know yet due to Bug#931630
  * Drop obsolete Breaks+Replaces from pre-oldstable
  * Add Conflict/Replaces/Provides: time-daemon (Closes: #316549)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 10 Mar 2020 08:38:28 +0100

ntp (1:4.2.8p14+dfsg-1) unstable; urgency=medium

  * New upstream version 4.2.8p14+dfsg
  * Drop patches applied upstream
  * Enable testsuite on all architectures, should be fixed

 -- Bernhard Schmidt <berni@debian.org>  Fri, 06 Mar 2020 19:38:49 +0100
