=== debian/changelog ===
ntp (1:4.2.8p15+dfsg-1ubuntu2) jammy; urgency=medium

  * No-change rebuild to update maintainer scripts, see LP: 1959054

 -- Dave Jones <dave.jones@canonical.com>  Wed, 16 Feb 2022 17:13:02 +0000

ntp (1:4.2.8p15+dfsg-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/ntp.conf, d/ntpdate.default: Change default server to ntp.ubuntu.com.
    - add support for parsing systemd networkd lease files LP: 1717983
      + d/ntp.dhcp add support for parsing systemd networkd lease files
      + d/ntp-systemd-netif.service: service to call hook
      + d/ntp-systemd-netif.path: respond to lease changes
  * Dropped changes, included in Debian:
    - Add Conflict/Replaces/Provides: time-daemon.
    - debian/rules: add -fcommon flag to CFLAGS
  * Dropped changes, included upstream:
    - debian/patches/CVE-2019-8936.patch: Guard against operations
      on NULL pointer in ntpd/ntp_control.c.
  * debian/patches/glibc-2.34.patch: compatibility with glibc 2.34.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 11:49:03 -0800

ntp (1:4.2.8p12+dfsg-3ubuntu7) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:04:04 +0100

ntp (1:4.2.8p12+dfsg-3ubuntu6) impish; urgency=medium

  * SECURITY UPDATE: Null dereference attack in mode 6 packet (LP: #1891953)
    - debian/patches/CVE-2019-8936.patch: Guard against operations
      on NULL pointer in ntpd/ntp_control.c.
    - CVE-2019-8936
  * Fix FTBFS with GCC-10
    - debian/rules: add -fcommon flag to CFLAGS

 -- Brian Morton <rokclimb15@gmail.com>  Fri, 27 Nov 2020 16:10:51 -0500
