=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ntp
 Section: net
 Priority: optional
-Maintainer: Debian NTP Team <ntp@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian NTP Team <ntp@packages.debian.org>
 Uploaders: Kurt Roeckx <kurt@roeckx.be>,
            Bernhard Schmidt <berni@debian.org>
 Build-Depends: autogen,
@@ -16,12 +17,10 @@
                pps-tools [linux-any]
 Build-Conflicts: libavahi-compat-libdnssd-dev, libwww-dev, libwww-ssl-dev
 Standards-Version: 4.1.3.0
+Rules-Requires-Root: no
 Homepage: http://support.ntp.org/
 Vcs-Browser: https://salsa.debian.org/pkg-ntp-team/ntp
 Vcs-Git: https://salsa.debian.org/pkg-ntp-team/ntp.git
-XS-Build-Source: True
-XS-Cumulus-Valid-Arch: amd64 armel
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntp
 Architecture: any
@@ -33,8 +32,9 @@
          ${shlibs:Depends}
 Recommends: sntp, ${perl:Depends}
 Suggests: ntp-doc
-Breaks: apparmor-profiles-extra (<< 1.8)
-Replaces: apparmor-profiles-extra (<< 1.8)
+Provides: time-daemon
+Replaces: time-daemon
+Conflicts: time-daemon
 Description: Network Time Protocol daemon and utility programs
  NTP, the Network Time Protocol, is used to keep computer clocks
  accurate by synchronizing them over the Internet or a local network,
@@ -48,7 +48,6 @@
  .
  For more information about the NTP protocol and NTP server
  configuration and operation, install the package "ntp-doc".
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntpdate
 Architecture: any
@@ -61,7 +60,6 @@
  .
  ntpdate is deprecated. Please use sntp instead for manual or scripted
  NTP queries/syncs.
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: ntp-doc
 Architecture: all
@@ -78,7 +76,6 @@
  ntpdate).  Since there are no substantive man pages for ntp's
  programs and configuration files, this package is desirable for any
  setup beyond the simple default configuration.
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
 
 Package: sntp
 Architecture: any
@@ -94,5 +91,3 @@
  sntp can be used as an SNTP client to query a NTP or SNTP server and
  either display the time or set the local system's time. It is not
  sufficient, however, for maintaining an accurate clock in the long run.
-XBCS-Vcs-Hash: f17772da9f6341eed12cdd5f91ed165cebba6170
-
