## ntp 4.2.8p15+dfsg-2

=== debian/changelog ===
ntp (1:4.2.8p15+dfsg-2-hurd.1) unreleased; urgency=low

  * Patch from Svante Signell to fix hurd-i386 build (ntptime is not built).
  * TODO: fix support when IPV6 network is not available.
  * patches/timeout.patch: Reduce timeout to 1s, 

 -- Samuel Thibault <sthibault@debian.org>  Mon, 17 Dec 2012 19:23:52 +0100
